# QTextItem Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextItem()

### Constructor Properties

- prototype: The QTextItem prototype object
- Dummy = 0xffffffff
- RightToLeft = 0x1
- Overline = 0x10
- Underline = 0x20
- StrikeOut = 0x40
- RenderFlag( value )
- RenderFlags( value1, value2, ... )

### Prototype Object Properties

- qreal ascent()
- qreal descent()
- QFont font()
- RenderFlags renderFlags()
- String text()
- qreal width()

### Instance Properties

QTextItem objects have no special properties beyond those inherited from the QTextItem prototype object.